//////////////////////////////////////////////////////////////////////
// Created by SmartDesign Tue Oct 23 08:17:30 2018
// Version: PolarFire v2.2 12.200.30.10
//////////////////////////////////////////////////////////////////////

`timescale 1ns / 100ps

// gmac_fifo_apb
module gmac_fifo_apb(
    // Inputs
    DATA,
    RCLOCK,
    RE,
    RESET,
    WCLOCK,
    WE,
    // Outputs
    DVLD,
    EMPTY,
    FULL,
    Q
);

//--------------------------------------------------------------------
// Input
//--------------------------------------------------------------------
input  [74:0] DATA;
input         RCLOCK;
input         RE;
input         RESET;
input         WCLOCK;
input         WE;
//--------------------------------------------------------------------
// Output
//--------------------------------------------------------------------
output        DVLD;
output        EMPTY;
output        FULL;
output [74:0] Q;
//--------------------------------------------------------------------
// Nets
//--------------------------------------------------------------------
wire   [74:0] DATA;
wire          DVLD_net_0;
wire          EMPTY_net_0;
wire          FULL_net_0;
wire   [74:0] Q_1;
wire          RCLOCK;
wire          RE;
wire          RESET;
wire          WCLOCK;
wire          WE;
wire          FULL_net_1;
wire          EMPTY_net_1;
wire          DVLD_net_1;
wire   [74:0] Q_1_net_0;
//--------------------------------------------------------------------
// TiedOff Nets
//--------------------------------------------------------------------
wire          GND_net;
wire   [74:0] MEMRD_const_net_0;
//--------------------------------------------------------------------
// Constant assignments
//--------------------------------------------------------------------
assign GND_net           = 1'b0;
assign MEMRD_const_net_0 = 75'h0000000000000000000;
//--------------------------------------------------------------------
// Top level output port assignments
//--------------------------------------------------------------------
assign FULL_net_1  = FULL_net_0;
assign FULL        = FULL_net_1;
assign EMPTY_net_1 = EMPTY_net_0;
assign EMPTY       = EMPTY_net_1;
assign DVLD_net_1  = DVLD_net_0;
assign DVLD        = DVLD_net_1;
assign Q_1_net_0   = Q_1;
assign Q[74:0]     = Q_1_net_0;
//--------------------------------------------------------------------
// Component instances
//--------------------------------------------------------------------
//--------gmac_fifo_apb_read_fifo_apb_0_COREFIFO   -   Actel:DirectCore:COREFIFO:2.7.105
gmac_fifo_apb_read_fifo_apb_0_COREFIFO #( 
        .AE_STATIC_EN   ( 0 ),
        .AEVAL          ( 4 ),
        .AF_STATIC_EN   ( 0 ),
        .AFVAL          ( 1020 ),
        .CTRL_TYPE      ( 2 ),
        .ECC            ( 0 ),
        .ESTOP          ( 1 ),
        .FAMILY         ( 26 ),
        .FSTOP          ( 1 ),
        .FWFT           ( 0 ),
        .NUM_STAGES     ( 2 ),
        .OVERFLOW_EN    ( 0 ),
        .PIPE           ( 1 ),
        .PREFETCH       ( 0 ),
        .RCLK_EDGE      ( 1 ),
        .RDCNT_EN       ( 0 ),
        .RDEPTH         ( 3072 ),
        .RE_POLARITY    ( 0 ),
        .READ_DVALID    ( 1 ),
        .RESET_POLARITY ( 0 ),
        .RWIDTH         ( 75 ),
        .SYNC           ( 0 ),
        .UNDERFLOW_EN   ( 0 ),
        .WCLK_EDGE      ( 1 ),
        .WDEPTH         ( 3072 ),
        .WE_POLARITY    ( 0 ),
        .WRCNT_EN       ( 0 ),
        .WRITE_ACK      ( 0 ),
        .WWIDTH         ( 75 ) )
read_fifo_apb_0(
        // Inputs
        .CLK        ( GND_net ), // tied to 1'b0 from definition
        .WCLOCK     ( WCLOCK ),
        .RCLOCK     ( RCLOCK ),
        .RESET      ( RESET ),
        .DATA       ( DATA ),
        .WE         ( WE ),
        .RE         ( RE ),
        .MEMRD      ( MEMRD_const_net_0 ), // tied to 75'h0000000000000000000 from definition
        // Outputs
        .Q          ( Q_1 ),
        .FULL       ( FULL_net_0 ),
        .EMPTY      ( EMPTY_net_0 ),
        .AFULL      (  ),
        .AEMPTY     (  ),
        .OVERFLOW   (  ),
        .UNDERFLOW  (  ),
        .WACK       (  ),
        .DVLD       ( DVLD_net_0 ),
        .WRCNT      (  ),
        .RDCNT      (  ),
        .MEMWE      (  ),
        .MEMRE      (  ),
        .MEMWADDR   (  ),
        .MEMRADDR   (  ),
        .MEMWD      (  ),
        .SB_CORRECT (  ),
        .DB_DETECT  (  ) 
        );


endmodule
